1.0.2 API documentation: GLM_EXT_scalar_ulp

| 1.0.2 API documentation

Functions
GLM_EXT_scalar_ulp
Stable extensions

## Functions
GLM_FUNC_DECL int64 | floatDistance (double x, double y)
| Return the distance in the number of ULP between 2 double-precision floating-point scalars. More...
GLM_FUNC_DECL int | floatDistance (float x, float y)
| Return the distance in the number of ULP between 2 single-precision floating-point scalars. More...
template<typename genType >
GLM_FUNC_DECL genType | nextFloat (genType x)
| Return the next ULP value(s) after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | nextFloat (genType x, int ULPs)
| Return the value(s) ULP distance after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prevFloat (genType x)
| Return the previous ULP value(s) before the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prevFloat (genType x, int ULPs)
| Return the value(s) ULP distance before the input value(s). More...

## Detailed Description

Allow the measurement of the accuracy of a function against a reference implementation. This extension works on floating-point data and provide results in ULP.

Include <glm/ext/scalar_ulp.hpp> to use the features of this extension.

See also
  GLM_EXT_vector_ulp
  GLM_EXT_scalar_relational

## Function Documentation

## ◆ floatDistance() [1/2]

GLM_FUNC_DECL int64 glm::floatDistance | ( | double | x,
|  | double | y
| ) |  |

Return the distance in the number of ULP between 2 double-precision floating-point scalars.

See also
  GLM_EXT_scalar_ulp

## ◆ floatDistance() [2/2]

GLM_FUNC_DECL int glm::floatDistance | ( | float | x,
|  | float | y
| ) |  |

Return the distance in the number of ULP between 2 single-precision floating-point scalars.

See also
  GLM_EXT_scalar_ulp

## ◆ nextFloat() [1/2]

GLM_FUNC_DECL genType glm::nextFloat | ( | genType | x | ) |

Return the next ULP value(s) after the input value(s).

Template Parameters

  genType | A floating-point scalar type.

See also
  GLM_EXT_scalar_ulp

## ◆ nextFloat() [2/2]

GLM_FUNC_DECL genType glm::nextFloat | ( | genType | x,
|  | int | ULPs
| ) |  |

Return the value(s) ULP distance after the input value(s).

Template Parameters

  genType | A floating-point scalar type.

See also
  GLM_EXT_scalar_ulp

## ◆ prevFloat() [1/2]

GLM_FUNC_DECL genType glm::prevFloat | ( | genType | x | ) |

Return the previous ULP value(s) before the input value(s).

Template Parameters

  genType | A floating-point scalar type.

See also
  GLM_EXT_scalar_ulp

## ◆ prevFloat() [2/2]

GLM_FUNC_DECL genType glm::prevFloat | ( | genType | x,
|  | int | ULPs
| ) |  |

Return the value(s) ULP distance before the input value(s).

Template Parameters

  genType | A floating-point scalar type.

See also
  GLM_EXT_scalar_ulp